## ros-kinetic-kobuki-auto-docking 0.7.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(kobuki_auto_docking)
find_package(catkin REQUIRED COMPONENTS roscpp rospy nodelet pluginlib message_filters actionlib kdl_conversions
                                        ecl_threads ecl_geometry ecl_linear_algebra kobuki_msgs kobuki_dock_drive nav_msgs)

catkin_package(
   INCLUDE_DIRS include
   LIBRARIES kobuki_auto_docking_ros kobuki_auto_docking_nodelet
   CATKIN_DEPENDS roscpp rospy nodelet pluginlib message_filters actionlib kdl_conversions
                  ecl_threads ecl_geometry ecl_linear_algebra kobuki_msgs kobuki_dock_drive nav_msgs
)

include_directories(include
                    ${catkin_INCLUDE_DIRS})

add_library(kobuki_auto_docking_ros src/auto_docking_ros.cpp)
add_library(kobuki_auto_docking_nodelet src/nodelet.cpp)

add_dependencies(kobuki_auto_docking_ros ${catkin_EXPORTED_TARGETS})

target_link_libraries(kobuki_auto_docking_ros ${catkin_LIBRARIES})
target_link_libraries(kobuki_auto_docking_nodelet ${catkin_LIBRARIES} kobuki_auto_docking_ros)

install(TARGETS kobuki_auto_docking_ros kobuki_auto_docking_nodelet
        DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY plugins
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY param
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(PROGRAMS scripts/DockDriveActionClient.py
                 scripts/DockDriveControl.py
                 scripts/getDockIR.py
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-kobuki-auto-docking (0.7.6-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Younghun Ju <yhju@yujinrobot.com>  Thu, 15 Mar 2018 03:03:32 -0000

ros-kinetic-kobuki-auto-docking (0.7.5-0xenial) xenial; urgency=high

  * bugfix missing nav_msgs dependency

 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 29 Dec 2017 05:00:00 -0000

ros-kinetic-kobuki-auto-docking (0.7.1-0xenial) xenial; urgency=high

  * bugfix for racing condition in goal assigning/enabling the docker

 -- Younghun Ju <yhju@yujinrobot.com>  Sat, 13 Aug 2016 04:00:00 -0000

ros-kinetic-kobuki-auto-docking (0.6.0-0xenial) xenial; urgency=high

  * leaning comments
  * refactoring
  * publish debug message even if auto dock is not running
  * Add missing run dependency on yocs_cmd_vel_mux
  * Contributors: Jihoon Lee, Jorge Santos, jihoonl

 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 08 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-auto-docking (0.5.5-0xenial) xenial; urgency=high

  * Rename cmd_vel_mux as yocs_cmd_vel_mux.

 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 11 Oct 2013 04:00:00 -0000

ros-kinetic-kobuki-auto-docking (0.5.4-0xenial) xenial; urgency=high



 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 06 Sep 2013 04:00:00 -0000

ros-kinetic-kobuki-auto-docking (0.5.3-0xenial) xenial; urgency=high

  * ros and non-ros stack split, driver, ftdi and auto-docking (partial) gone to kobuki_core.

 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 30 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-auto-docking (0.5.0-0xenial) xenial; urgency=high

  * Added extra url info on all packages.
  * adds params for kobuki_auto_docking launchers.
  * Changelogs at package level.
  * 32 bit alignment error. Fast fix: just remove the
    eigen-inheritor attribute, as it's not really needed. It was already
    commented in a previous commit; here I just cleanup and provide a
    description of the fix.
    But the fact is that something is wrong on ecl. We keep track on.
  * Fixed Eigenlib alignment error on 32 bit architectures.

 -- Younghun Ju <yhju@yujinrobot.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-auto-docking (0.4.0-0xenial) xenial; urgency=high

  * Add minimum speed parameters: with heavy payloads, at very low speeds, the robot can get stuck easily.
  * Remove motors enabling/disabling, as it can be confusing and it's not particularly useful.

 -- Younghun Ju <yhju@yujinrobot.com>  Fri, 09 Aug 2013 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-kobuki-auto-docking
Section: misc
Priority: extra
Maintainer: Younghun Ju <yhju@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-catkin, ros-kinetic-ecl-geometry, ros-kinetic-ecl-linear-algebra, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-kdl-conversions, ros-kinetic-kobuki-dock-drive, ros-kinetic-kobuki-msgs, ros-kinetic-message-filters, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs
Homepage: http://ros.org/wiki/kobuki_auto_docking
Standards-Version: 3.9.2

Package: ros-kinetic-kobuki-auto-docking
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-actionlib, ros-kinetic-actionlib-msgs, ros-kinetic-ecl-geometry, ros-kinetic-ecl-linear-algebra, ros-kinetic-ecl-threads, ros-kinetic-geometry-msgs, ros-kinetic-kdl-conversions, ros-kinetic-kobuki-dock-drive, ros-kinetic-kobuki-msgs, ros-kinetic-message-filters, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-pluginlib, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-yocs-cmd-vel-mux
Description: Automatic docking for Kobuki: Users owning a docking station for Kobuki can use this tool to let Kobuki find its nest autonomously.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kobuki-auto-docking//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
